/*
 * STYLE : Base
 */

@import url('https://fonts.googleapis.com/css?family=Nunito:700|Raleway|IBM+Plex+Mono&display=swap');

:root {
	--color-accent : #4484CE;	/* Bleu */
	--color-sec : #FFD700;		/* Jaune */
	--color-bg : #FAFAFA;		/* Gris-Blanc */
	--color-fg : #1D2731;		/* Noir */
}

* {
	font-family: "Raleway", sans-serif;
	border-color : var(--color-accent);
	scroll-behavior: smooth;

}

body {
	margin : 0;
	background-color : var(--color-bg);
	background-repeat: no-repeat;
	background-size: 100%;
}

h1 {
	color : var(--color-fg);
	font-family : "Nunito";
	font-size : 6em;
	letter-spacing : 4px;
	text-align : center;
}

h2 {
	color : var(--color-fg);
	font-family : "Nunito";
	font-size : 4em;
	letter-spacing : 4px;
	text-align : center;
}

h3 {
	color : var(--color-fg);
	font-family : "Nunito";
	font-size : 2em;
	letter-spacing : 4px;
	text-align : center;
	padding-top: 1em; /* Pour le sommaire, pour eviter que lorsqu'on clic sur un lien, que le titre colle le haut de l'écran */
}

p {
	text-align : justify;
	padding : 10px;
	font-size : 1.4em;
	text-indent : 3em;
}

hr {
	border-top-color : var(--color-accent);
	border-width : 0.5px;
}

a.button {
	color : var(--color-accent);
	background-color : var(--color-bg);
	text-decoration : none;
	font-weight : 600;
	border-style : solid;
	border-width : 2px;
	border-radius : 20px;
	padding : 16px;
	transition : .3s;
}

a.button:hover {
	color : var(--color-bg);
	background-color : var(--color-accent);
	border-color: var(--color-accent);
	transition : .6s;
}

a.link, a.link-img {
	color : var(--color-accent);
	text-decoration : none;
	border-bottom-color : var(--color-accent);
	border-bottom-style : solid;
	position : relative;
	transform : translateZ(0);
	-webkit-transform : translateZ(0);
	transition : color 1000ms;
	-webkit-transition : color 1000ms;
}

a.link-img {
	display : inline-block;
	border-color : var(--color-fg);
	border-style : solid;
	border-width : .1em;
	margin : 2em;
}

a.link:hover, a.link-img:hover {
	color : var(--color-bg);
}

a.link:before, a.link-img:before {
	content : "";
	position : absolute;
	z-index : -1;
	top : 0;
	left : 0;
	right : 0;
	bottom : 0;
	background : var(--color-accent);
	-webkit-transform : scaleY(0);
	transform : scaleY(0);
	-webkit-transform-origin : 50% 100%;
	transform-origin : 50% 100%;
	-webkit-transition-property : transform;
	transition-property : transform;
	-webkit-transition : 300ms ease-out;
	transition : 300ms ease-out;
}

a.link:hover:before, a.link-img:hover:before {
	-webkit-transform : scaleY(1);
	transform : scaleY(1);
}

a.sommaire{
	text-decoration: none;
	color: var(--color-fg);
	outline: none;
}

a.sommaire:hover{
	color: var(--color-accent);
	outline: none;
}


div.sommaireContent{
	text-align: left;
	position: relative;
	padding-left: 5em;
	padding-right: 3em;
}

div.sommaireContent#titre2{
	padding-left: 2em;
}

div.sommaireTitle{
	border-style: solid;
	border-color: var(--color-accent);
	position: relative;
	margin-left: 0em;
	margin-right: 3em;
	float: left;
}

p.legende{
	font-size: 15px;
	margin-top: -4em;
	margin-left: -2em;
	text-align: center;
	font-style: italic;
}

h3.sommaire{
	padding-top: 0em; /*Pour eviter que la correction plus haut affecte le titre de niveau h3 du sommaire */
}

a.backToTop{
	position: fixed;
	font-size: 2em;
	text-decoration: none;
	color: var(--color-accent);
	border: solid 2px var(--color-accent);
	padding: 0px 10px 10px 10px;
	border-radius: 50px;
	outline: none;
}

a.backToTop:hover{
	color: #4287f5;
	border-color: #4287f5;
}

div.backToTop{
	margin: 48em 0em 0em 3em;
	position: absolute;
}
